{include file='_header.tpl'}
<script type="text/javascript">$('#menu ul:eq(1) > li:eq(0)').attr('id','menu-active');</script>

<h1>{$system->getNazev()} - fakturační systém</h1>


{if $notPaidCount > 0 || $vydajeNotPaidCount > 0 || !$login->kontakt}
<h2>Upozornění</h2>
	{if !$login->kontakt}
		<strong class="msg error">Zadejte prosím vaše fakturační údaje - <a href="/fakturacni-udaje/">zde</a>.</strong><br /><br /><br />
	{/if}
	{if $notPaidCount > 0}
		<strong class="msg warning">Máte evidovány neuhrazené {if $login->opravneni == 1}vydané{/if} faktury: <span style="color: red">{$notPaidCount}</span> 
		za {$neuhrazeno|number_format:2:",":"."} {$vychoziMena->getSymbol()} 
		- <a href="/fakturace/">více zde&nbsp;&raquo;</a></strong><br /><br /><br />
	{/if}
	{if $vydajeNotPaidCount > 0 && $login->opravneni == 1}
		<strong class="msg warning">Máte evidovány neuhrazené přijaté doklady: <span style="color: red">{$vydajeNotPaidCount}</span> 
		za {$vydajeNeuhrazeno|number_format:2:",":"."} {$vychoziMena->getSymbol()} 					
		- <a href="/vydaje/">více zde&nbsp;&raquo;</a></strong><br /><br /><br />
	{/if}
{/if}

{if $login->opravneni == 1}
<br />

<strong class="msg warning">Budoucí cashflow: 

	<span style="{if $naCeste > 0}color: green;">+{elseif $naCeste < 0}color: red;">{else}">{/if}
	{$naCeste|number_format:2:",":"."} {$vychoziMena->getSymbol()}
	</span>
		
</strong>
<br />
<br />
{/if}			


<h2>Informace</h2>
<strong>Přihlášený uživatel:</strong> {$login->login_name}<br />
<strong>Vaše IP adresa:</strong> {$login->ip}<br />

{if $login->opravneni != 1 && $login->kontakt}
<h2>Vaše fakturační údaje</h2>
<strong>Název firmy / Jméno a příjmení:</strong> {$login->kontakt->getNazev()}<br />
<strong>Adresa:</strong> {$login->kontakt->getUlice()}, {$login->kontakt->getPSC()} {$login->kontakt->getMesto()}<br />
<strong>IČ:</strong> {$login->kontakt->getIco()} &nbsp;&nbsp;&nbsp;&nbsp;
<strong>DIČ:</strong> {$login->kontakt->getDic()}<br />
{/if}
<br />
{if $login->opravneni == 1}
<a href="/statistiky/"><strong>Statistiky&nbsp;&raquo;</strong></a>
{/if}

<br /><br />

{if count($events) > 0}
	<h2>Poslední události</h2>
	{foreach from=$events item=ev}
	<p>
		<strong>{$ev->getTime(true)} </strong> {$ev->Object->getUrlHtml()}
		{if $login->opravneni == 1}
			{assign var=user value=$ev->getUser()}
			{if $user instanceof User}
				({$user->Kontakt->getNazev()})
			{else}
				(<i>{if strtotime('2011-12-15 15:00') <= strtotime($ev->getTime())}robot{else}neznámý uživatel{/if}</i>)
			{/if}
		{/if}
		<br />
		{$ev}
	</p>
	{/foreach}
{/if}
			
{include file='_footer.tpl'}
