
// tato funkce uz nefunguje, neni pouzita??
function overPlatbu(vs,castka,odkaz) {
	var parent = $(odkaz).parent();
	$(parent).html('Ověřuji...');	
    $.ajax({   
		url: '/inc/ajax/mbank_check.php?vs='+vs+'&castka='+castka,
		success: function(ret){	
			if (ret == "true") {
				$(parent).html('<b style="color: green">ZAPLACENO</b>');
			}
			else if (ret == "false") $(parent).html('<b style="color: red">NEZAPLACENO</b>');
			else $(parent).html('<b style="color: red">CHYBA</b>');
		}
	});
}

function eanDialog() {
	// zobrazit nejprve dialog
	$('#faktsysEan').remove();
	$('<div id="faktsysEan"><form id="eanWrapper"><b>EAN: </b><input type="text" value=""></form></div>').appendTo('body');

	$('#eanWrapper').submit(function(){
		var hodnota = $('#eanWrapper input[type=text]').val();
		// minimum pro EAN kod ???
		if (hodnota.length > 10) {
			$('#eanWrapper input[type=text]').attr('disabled',true);
			$('#eanWrapper input[type=text]').val('Hledám...');
			$.ajax({
				url: '/admin/json.php?metoda=searchZbozi&amp;rand='+Math.random(),
				dataType: "json",
				data: {
					zbozi_id: hodnota,
					isEan: 1,
				},
				success: function( data ) {
					if (data.zbozi.length == 0) {
						$('#eanWrapper input[type=text]').val('NENALEZENO');
						setTimeout(function () {
							$('#eanWrapper input[type=text]').attr('disabled',false);
							$('#eanWrapper input[type=text]').val('');
							$('#eanWrapper input[type=text]').focus();
						
						},2000);
					}
					else {
						vybranoZboziId(data.zbozi[0].zbozi_id,false,false,false,true);
					}
				}
			});
		}
		return false;
	});
	 
	$("#faktsysEan").dialog({
	 	title: 'Přidat zboží podle EAN',
		width: '250px',
		position: [10,'bottom'],
		buttons: {
			'Najít': function() {  
				$('#eanWrapper').submit();
			},
			'Zavřít': function() {
				$(this).dialog("close");
			}
		}
	 });
}

function overitPlatcovstviDph(dic) {
	// zobrazit nejprve dialog
	if (!dic) {
		$('#faktsysDialog').remove();
		$('<div id="faktsysDialog"><form onsubmit="overeniPlatcovstviResults($(\'#dicOvereni\').val()); return false;">DIČ k ověření: <input id="dicOvereni" type="text" name="dic" value=""></form></div>').appendTo('body');
		 
		$("#faktsysDialog").dialog({
		 	title: 'Ověření plátcovství DPH',
			modal: true,
			width: '500px',
			buttons: {
				'OVĚŘIT': function() { overeniPlatcovstviResults($('#dicOvereni').val()); },
				'Zrušit': function() {
					$(this).dialog("close");
				}
			}
		 });
	}
	// jiz zadano dic
	else overeniPlatcovstviResults(dic);
}

// doplnkova funkce, nepouzivat, staci funkce vyse
function overeniPlatcovstviResults(dic) {
	// dialog pouze v pripade prechodu z funkce vyse nebo primeho overeni
	$('#faktsysDialog').remove();
	$('<div id="faktsysDialog"></div>').appendTo('body');
	$("#faktsysDialog").dialog({
	 	title: 'Ověření plátcovství DPH',
		modal: true,
		width: '500px',
		buttons: { "Zrušit": function() { $('#faktsysDialog').dialog("close"); } }
	 });
	$('#faktsysDialog').html('<br><span class="msg info">Ověřuji...</span>');
    $.ajax({   
		url: '/inc/ajax/overPlatcovstvi.php?dic='+dic,
		success: function(ret){	
			var retVal = ret.substr(0,1);
			if (retVal == "1") {
				// platce DPH
				var nazevFirmy = ret.substr(2);
				$('#faktsysDialog').html('<br><strong class="msg done">'+nazevFirmy+' ('+dic+') je plátce DPH!</strong>');
			}
			else if (retVal == "2") {
				// neplatce DPH
				$('#faktsysDialog').html('<br><strong class="msg error">'+dic+' není plátce DPH!</strong>');
			}
			else {
				// neznama chyba
				$('#faktsysDialog').html('<br><strong class="msg warning">NEZNÁMÁ CHYBA: Nepodařilo se ověřit plátcovství DPH!</strong>');
			}
		}
	});
}

function exportBezDphDic(dic) {
	// dialog pouze v pripade prechodu z funkce vyse nebo primeho overeni
    $.ajax({   
		url: '/inc/ajax/overPlatcovstvi.php?dic='+dic,
		success: function(ret){	
			var retVal = ret.substr(0,1);
			if (retVal == "1") {
				// platce DPH
				var nazevFirmy = ret.substr(2);
				if (confirm(nazevFirmy+"\n---------------\nFirma je plátce DPH! Souhlasí název firmy s dokladem?")) {
					opravduExportovatBezDph();
				}
				alert();
				opravduExportovatBezDph();
			}
			else if (retVal == "2") {
				// neplatce DPH
				alert(dic+' není plátce DPH! Nelze exportovat bez DPH.');
			}
			else {
				// neznama chyba
				if (confirm('NEZNÁMÁ CHYBA: Nepodařilo se ověřit plátcovství DPH! Chcete přesto pokračovat?')) {
					opravduExportovatBezDph();
				}
			}
		}
	});
}

function opravduExportovatBezDph() {
	$('#specialni_rezim_export').attr('checked',true);
	// TODO: odecist DPH
	$(".DPH select[name^=dph]").each(function(){$(this).children('option:first').attr('selected',true);});
	var zaokrouhlitNa = 2;
	if (typeof(zaokrouhleni) != "undefined") zaokrouhlitNa = zaokrouhleni;
	spocitejFakturaCelkemBezDph(zaokrouhlitNa);
}


function zobrazKurzyMen() {
	$('#faktsysDialog').remove();
	$('<div id="faktsysDialog"></div>').appendTo('body');
	$("#faktsysDialog").dialog({
	 	title: 'Kurzy měn',
		modal: true,
		width: '500px',
		buttons: { "Zavřít": function() { $('#faktsysDialog').dialog("close"); } }
	 });
	$('#faktsysDialog').html('<br><span class="msg info">Zjišťuji účetní kurzy v systému...</span>');
    $.ajax({   
		url: '/inc/ajax/zjistiKurzy.php',
		success: function(ret){	
			$('#faktsysDialog').html(ret);
		}
	});
}

function searchIC(ic){
	searchAndFill('/inc/ajax/ares_xml.php?ic='+ic,1);
	return false;
}
function searchName(name){
	searchAndFill('/inc/ajax/ares_xml.php?name='+name,0);
	return false;
}
function searchAndFill(url,poradiTlacitek) {
	$('.toRemove').remove();
	$('input[type=submit]').attr('disabled','disabled');
	var first = ($('input[type=submit].ui-button:first').val());
	var second = ($('input[type=submit].ui-button:eq(1)').val());
	var third = ($('input[type=submit].ui-button:eq(2)').val());
	$('input[type=submit].ui-button').val('Čekejte...');
    $.ajax({   
		url: url,
		success: function(ret){	
			if (ret.length > 10) {
				var result=ret.match(/\<are:Obchodni_firma\>([^<]+)\<\/are:Obchodni_firma\>/);
				$("#nazev").val(result[1]);				
				result=ret.match(/\<dtt:Nazev_ulice\>([^<]+)\<\/dtt:Nazev_ulice\>/);
				$("#ulice").val(result[1]);			
				result=ret.match(/\<dtt:Cislo_domovni\>([^<]+)\<\/dtt:Cislo_domovni\>/);
				$("#ulice").val($("#ulice").val()+" "+result[1]);
				result=ret.match(/\<dtt:Cislo_orientacni\>([^<]+)\<\/dtt:Cislo_orientacni\>/);
				$("#ulice").val($("#ulice").val()+"/"+result[1]);			
				result=ret.match(/\<dtt:Nazev_obce\>([^<]+)\<\/dtt:Nazev_obce\>/);
				$("#mesto").val(result[1]);			
				result=ret.match(/\<dtt:PSC\>([^<]+)\<\/dtt:PSC\>/);
				$("#psc").val(result[1]);		
				result=ret.match(/\<are:ICO\>([^<]+)\<\/are:ICO\>/);
				$("#ico").val(result[1]);	
				var show = $('<strong class="green toRemove" style="font-size: 120%;"> OK!</strong>');
				$(show).insertAfter('input[type=submit]:eq('+poradiTlacitek+')');
			}
			else {
				var show = $('<strong class="red toRemove" style="font-size: 120%;"> Nenalezeno!</strong>');
				$(show).insertAfter('input[type=submit]:eq('+poradiTlacitek+')');
			}
			$('input[type=submit]').attr('disabled','');
			$('input[type=submit]:first').val(first);
			$('input[type=submit]:eq(1)').val(second);
			$('input[type=submit]:eq(2)').val(third);
		}
	});
}

function ciselnikChange(input) {
	var d=new Date();
	var tr = $(input).parent().parent();
	var ciselnik = $(tr).children('td:first').children('input').val();
	var format = $(tr).children('td:eq(1)').children('input').val();
	var pocetCisel = format.length - format.replace(/(#N+#)/,'').length - 2;
	if (ciselnik.length > 0 && ciselnik.length == (""+parseInt(ciselnik)).length && pocetCisel > 1
		 ) {
		ciselnik++;
		 pocetCisel -= (""+ciselnik).length;
		while (pocetCisel > 0) { ciselnik = "0" + ciselnik; pocetCisel--; }
		var returnString =  format.replace(/(#N+#)/,ciselnik);
		returnString =  returnString.replace(/(#rok#)/,(d.getFullYear()+"").substring(2));
		returnString =  returnString.replace(/(#ROK#)/,d.getFullYear());
		$(tr).children('td:last').children('em').html(returnString);
	}
	else 
		$(tr).children('td:last').children('em').html("<b class='red'>CHYBA</b>");
}

function oznacSpatneInputy(inputy) {
	var tmp;
	for (var i=0; i < inputy.length; i++) {
		tmp = (inputy[i]);
		tmp = tmp.replace('id=','')
		if (tmp.length != inputy[i].length) {
			$('#'+tmp).addClass('errorInput');		
		}
		else {
			$('input[name="'+(tmp)+'"],textarea[name="'+(tmp)+'"],select[name="'+(tmp)+'"]')
			.addClass('errorInput');
		}
	}
}
function odoznacSpatneInputy() {
	$('input,textarea,select,fieldset').removeClass('errorInput');
}

function changeUserSelect(select) {
	if($(select).val() > 0) {
		$('#send_to_mail_div').show();
		$.getJSON('/admin/json.php?metoda=getUserKontakt&id='+$(select).val(),function (ret) {
			for(key in ret) {
				$('input[name="'+(key)+'"]').val(ret[key]);
			}
		} );
	} 
	else 
		$('#send_to_mail_div').hide();	
}



function submitAjaxFakturaForm() {
	var successFunction = function (ret) {	
			if ($('#message').length > 0) $('#message').remove();
			if (ret.code == 'done') {
				$('#add_kontakt').html($.base64Decode(ret.html));	
				$('#add_faktura_form').submit();		
			}
			else {
				$(ret.message).insertAfter('h1');				
				$('#add_kontakt').html($.base64Decode(ret.html));
				$('html, body').animate({scrollTop:0}, 'slow');
				
				// v tomhle pripade musim volat explicitne
				oznacSpatneInputy(ret.inputs);
				
				$('#add_faktura_form input[type=submit]').attr('disabled',false);	
			}
		};
	$('#add_faktura_form input[type=submit]').attr('disabled',true);
	loadHtml('add_kontakt',$('#add_kontakt_form').attr('action')+'?onlyBody=1',$('#add_kontakt_form').serialize()+'&add-kontakt=1', successFunction);
}

function submitAjaxRegisterForm() {
	var successFunction = function (ret) {	
			if ($('#message').length > 0) $('#message').remove();
			if (ret.code == 'done') {
				$('#add_kontakt').html($.base64Decode(ret.html));	
				$('#add_register_form').submit();		
			}
			else {
				$(ret.message).insertAfter('h1');				
				$('#add_kontakt').html(ret.html);
				
				// v tomhle pripade musim volat explicitne
				oznacSpatneInputy(ret.inputs);
				
				$('#add_register_form input[type=submit]').attr('disabled',false);	
			}
		};
	$('#add_register_form input[type=submit]').attr('disabled',true);
	loadHtml('add_kontakt',$('#add_kontakt_form').attr('action')+'?onlyBody=1&notUsers=1',$('#add_kontakt_form').serialize()+'&add-kontakt=1', successFunction );
}

function loadHtml (idElm, url, data, successFunction, baseDecode) {
	if (!successFunction || typeof successFunction == 'undefined') {
		successFunction = function(ret) { 
			var retStr = ret.html;
			if (baseDecode) {
				retStr = $.base64Decode(retStr);
			}
			$('#'+idElm).html(retStr) 
		};
	}

	$.ajax({
	  type: 'POST',  
	  dataType: 'json',
	  url: url,
	  data: data,
	  success: successFunction
	});
	return false;
}

function polozkyFakturyAutocomplete() {
	$('.autocomplete_polozky').autocomplete({
		source: function( request, response ) {
			$.ajax({
				url: '/admin/json.php?metoda=searchPolozkyFaktura&amp;rand='+Math.random(),
				dataType: "json",
				data: {
					term: request.term
				},
				success: function( data ) {
					response( $.map( data.polozky, function( item ) {
						return {
							label: item.nazev,
							value: item.nazev,
							id: item.id,
							prodejniCena: item.prodejniCena,
							typ: item.typClass
						}
					}));
				}
			});
		},
		dataType: "jsonp",
		select: function( event, ui ) {
			var td = $(this).parent();
			$(td).children('.addZbozi').remove();
			if (ui.item.typ == 'Zbozi') {
				$(this).after('<div class="addZbozi" style="font-size: 12px">Načítám sklady...</div>');
				vybranoZboziId(ui.item.id,td,false,false,true);
				spocitejFakturaCelkem();
			}
			else if (ui.item.typ == 'disabled') {
				return false;
			}
			// jinak nic
		}
	});
}


function zboziDoSadAutocomplete() {
	$('.autocomplete_zbozi').autocomplete({
		source: function( request, response ) {
			$.ajax({
				url: '/admin/json.php?metoda=searchPolozkySady&amp;rand='+Math.random(),
				dataType: "json",
				data: {
					term: request.term
				},
				success: function( data ) {
					response( $.map( data.polozky, function( item ) {
						return {
							label: item.nazev,
							value: item.nazev,
							id: item.id,
							prodejniCena: item.prodejniCena,
							skladovaCena: item.skladovaCena,
							typ: item.typClass
						}
					}));
				}
			});
		},
		dataType: "jsonp",
		select: function( event, ui ) {
			if (ui.item.typ == 'Zbozi') {
				insertSadaItem($(this),ui.item.id,ui.item.label,ui.item.skladovaCena);
				$(this).attr('value','')
				return false;
			}
			else if (ui.item.typ == 'disabled') {
				return false;
			}
			// jinak nic
		}
	})
	.keydown(function(e) {
		if (e.keyCode === 13) {
			return false;
		}
	});
}

function insertSadaItem(inputElement, zboziId, nazev, skladovaCena) {
	if ($(inputElement).parent().children('.addZbozi'+zboziId).length > 0) {
		var pocet = $(inputElement).parent().children('.addZbozi'+zboziId).children('input[type=text]');
		$(pocet).val(parseInt($(pocet).val()) > 0 ? parseInt($(pocet).val())+1 : 1);
	}
	else {
		$(inputElement).after('<div class="addZbozi'+zboziId+'" style="font-size: 13px">V sadě <input size="1" type="text" value="1" name="zbozi_sada_mnozstvi[]"> KS ...  '+nazev+'<input type="hidden" value="'+zboziId+'" name="zbozi_sada[]" /><input type="hidden" value="'+skladovaCena+'" name="zbozi_sada_cena[]" /> &nbsp;&nbsp;<a href="#" onclick="$(this).parent().remove(); return false;"><b>[X]</b></a></div>');
	}				
}

function changeSadaForm(onSada) {
	if (onSada) {
		$('.onSada').show();
		$('.offSada').hide();	
		$('.disabledSada input, .disabledSada select').attr('disabled','disabled');	
	}
	else {
		$('.onSada').hide();
		$('.offSada').show();	
		$('.disabledSada input, .disabledSada select').attr('disabled','');	
	}
	return false;
}

function vybranoZboziId(id,td,neodecitat,ext_id,completeLoadEan,sklad_id) {
	if (!td) {
		$('#add_more').click();
		td = $('#polozky tbody tr:last td:first');
	}
	var isExternal = 0;
	if (ext_id) isExternal = 1;
	var hasSkladId = -1;
	if (sklad_id && parseInt(sklad_id) > 0) hasSkladId = parseInt(sklad_id);
	
	$.ajax({
		url: '/admin/json.php?metoda=searchZbozi&amp;rand='+Math.random(),
		dataType: "json",
		data: {
			zbozi_id: id,
			isExternal: isExternal,
		},
		success: function( data ) {
			$(td).children('.addZbozi').html('');
			if (data.zbozi.length > 1) {
				$(td).children('.addZbozi').html('<div style="float: right; color: red; font-size: 13px; font-weight: bold;">POZOR! Více možností.</div>');
			}
			var IDPOL = ""+Math.random();
			IDPOL = IDPOL.replace('.','');
			for(var i = 0; i < data.zbozi.length; i++) {
				if (i == 0 && completeLoadEan) {
					$('#eanWrapper input[type=text]').attr('disabled',false);
					$('#eanWrapper input[type=text]').val('');
					$('#eanWrapper input[type=text]').focus();
					$(td).children('input[type=text]').val(data.zbozi[i].nazev+(data.zbozi[i].model.length > 0 ? " ["+data.zbozi[i].model+"]" : ""));
					var cenaRadek = $(td).parent().children('.cena').children('input[type=text]');
					var ksRadek = $(td).parent().children('.ks').children('input[type=text]');
					$(cenaRadek).val(data.zbozi[i].prodejniCena);
					if ($(ksRadek).val().length == 0) $(ksRadek).val(1);
					if (data.zbozi[i].dph) {
						var dphSazba = $(td).parent().children('.DPH').children('select[name^=dph]').children();
						$(dphSazba).each(function(){
							if ($(this).val()==data.zbozi[i].dph) $(this).attr('selected',true);
							else  $(this).attr('selected',false);
						});
					
					}
					spocitejFakturaCelkem();
				}
			
				var zboziHtml = '';
				if (data.zbozi[i].img) {
					zboziHtml += data.zbozi[i].img;
				}
				if (data.zbozi.length > 1) {
					zboziHtml += '<input onclick="upresniZbozi($(\'.zboziPolozka'+data.zbozi[i].zbozi_id+'_'+i+'\'),this)" type="radio" name="viceZbozi'+IDPOL+'" '+(i == 0 ? 'checked="checked"' : '')+'> ' ;
				}
				zboziHtml +=	
					'Sklad.položka: <b><a href="/sklady/zbozi/?showId='+data.zbozi[i].zbozi_id+'" target="_blank">'+data.zbozi[i].nazev+'</a></b><div class="zboziPolozka zboziPolozka'+data.zbozi[i].zbozi_id+'_'+i+'">' +
					'<input type="hidden" name="zbozi_id[]" value="'+data.zbozi[i].zbozi_id+'">';
				
				zboziHtml += 'Výběr skladu: <select name="sklad_id[]">';
				for(var a = 0; a < data.zbozi[i].sklady.length; a++) {
					var sklad = data.zbozi[i].sklady[a];
					zboziHtml += '<option value="'+sklad.sklad_id+'" '+(hasSkladId > 0 && hasSkladId == sklad.sklad_id ? 'selected="selected"' : '')+'>'+sklad.mnozstvi+'ks: '+sklad.nazev+'</option>'
				}
				zboziHtml += '<option value="" disabled="disabled">-------------------------------------------------</option>';
				zboziHtml += '<option value="">- neodečítat položky ze skladu -</option>';
				zboziHtml += '</select></div><div style="clear: both;"></div>';
				
				$(td).children('.addZbozi').html($(td).children('.addZbozi').html()+zboziHtml);
				if (neodecitat) {
					$(td).children('.addZbozi').children('.zboziPolozka').children('select').children(':last').attr('selected',true);
				}
				if (i > 0) {
					$(td).children('.addZbozi').children('.zboziPolozka'+data.zbozi[i].zbozi_id+'_'+i).children('input,select').attr('disabled',true);
				}
			}
			
			if (data.zbozi.length == 0) {
				$(td).children('.addZbozi').html('<span style="color: red">NENALEZENO v žádném skladu!</span><input type="hidden" name="zbozi_id[]" value=""><input type="hidden" name="sklad_id[]" value="">');
			}
		}
	});
}

function upresniZbozi(divDisabled,inputRadio) {
	$(inputRadio).parent().children('.zboziPolozka').children('input,select').attr('disabled',true);
	$(divDisabled).children('input,select').attr('disabled',false);
}

function vyberExterniZbozi (ext_id,td) {
	$(td).children('.addZbozi').remove();
	$(td).children('input').after('<div class="addZbozi" style="font-size: 12px">Načítám sklady...</div>');
	vybranoZboziId(ext_id,td,false,true);
}

function pscAutocomplete(elm) {	
	$(elm).autocomplete({
		source: function( request, response ) {
			$.ajax({
				url: "http://ws.geonames.org/postalCodeSearchJSON",
				dataType: "jsonp",
				data: {
					username: 'tripleweb',
					featureClass: "P",
					style: "medium",
					maxRows: 12,
					lang: 'cs',
					country : "CZ",
					postalcode: (request.term)
				},
				success: function( data ) {
					response( $.map( data.postalCodes, function( item ) {
						return {
							label: item.postalCode + ", " + item.placeName + (item.adminName1 ? ", " + item.adminName1 : ""),// + ", " + item.countryName,
							value: item.postalCode,
							placeName: item.placeName
						}
					}));
				}
			});
		},
		dataType: "jsonp",
		select: function( event, ui ) {
			if (!$('#mesto').val()) $('#mesto').val(ui.item.placeName);
		}
	});
}

function mestoAutocomplete(elm) {	
	$(elm).autocomplete({
		source: function( request, response ) {
			$.ajax({
				url: "http://ws.geonames.org/searchJSON",
				dataType: "jsonp",
				data: {
					username: 'tripleweb',
					featureClass: "P",
					style: "medium",
					maxRows: 12,
					lang: 'cs',
					country : "CZ",
					name_startsWith: (request.term)
				},
				success: function( data ) {
					response( $.map( data.geonames, function( item ) {
						return {
							label: item.name + (item.adminName1 ? ", " + item.adminName1 : ""),// + ", " + item.countryName,
							value: item.name
						}
					}));
				}
			});
		},
		dataType: "jsonp"
	});
}

function spocitejFakturaCelkem(zaokrouhleni, neprepisujHodnoty) {
	if (!zaokrouhleni) zaokrouhleni = 0;
	var celkem = 0;
	$('input[name^=castka]:not(input[name*=bez_dph])').each(function () { 
		var dph;
		
		if ($('select[name^=dph]').length > 0)
		dph = $(this).parent().parent().children('td').children('select[name^=dph]').children(':selected').val();
		
		if (dph && dph.length > 0) {
			dph = dph.split(':');
			dph = parseFloat(dph[1])/100.0+1;
		}
		else dph = 1.0;
		var kusu = $(this).parent().parent().children('td').children('input[name*=ks]').val();
		if (!isNaN(parseFloat($(this).val()))) {
			var nasobek = 1;
			if (!isNaN(parseInt(kusu))) nasobek = parseInt(kusu);
			celkem += parseFloat($(this).val()) * nasobek; 
			if (!neprepisujHodnoty && $('input[name^=castka_bez_dph]').length > 0) $(this).parent().parent().children('td').children('input[name^=castka_bez_dph]').val(zaokrouhlit(parseFloat($(this).val())/dph, 2));
		} 
	});
	
	celkem = zaokrouhlit(celkem, zaokrouhleni);
	$('#celkem').html(celkem);
	if (!neprepisujHodnoty) spocitejFakturaCelkemBezDph(zaokrouhleni, true);
	if (celkem < 0) $('.DUZP').hide();
	else $('.DUZP').show();
}

function spocitejFakturaCelkemBezDph(zaokrouhleni, neprepisujHodnoty) {
	if (!zaokrouhleni) zaokrouhleni = 0;
	var celkem = 0;
	$('input[name^=castka_bez_dph]').each(function () { 
		var dph = $(this).parent().parent().children('td').children('select[name^=dph]').children(':selected').val();
		
		if (dph.length > 0) {
			dph = dph.split(':');
			dph = parseFloat(dph[1])/100.0+1;
		}
		else dph = 1.0;
		var kusu = $(this).parent().parent().children('td').children('input[name*=ks]').val();
		if (!isNaN(parseFloat($(this).val()))) {
			var nasobek = 1;
			if (!isNaN(parseInt(kusu))) nasobek = parseInt(kusu);
			celkem += parseFloat($(this).val()) * nasobek; 
			if (!neprepisujHodnoty) $(this).parent().parent().children('td').children('input[name^=castka]:not(input[name*=bez_dph])').val(zaokrouhlit(parseFloat($(this).val())*dph, 2));
		} 
	});
	
	celkem = zaokrouhlit(celkem, zaokrouhleni);
	if ($('#celkemBezDph').length > 0) {
		$('#celkemBezDph').html(celkem);
		if (!neprepisujHodnoty) spocitejFakturaCelkem(zaokrouhleni, true);
	}
	if (celkem < 0) $('.DUZP').hide();
	else $('.DUZP').show();
}

function zaokrouhlit (cislo, presnost) {
	var tmpZaokrouhleni = 1;
	for (var i = 0; i < presnost; i++) tmpZaokrouhleni *= 10;
	cislo = Math.round(cislo*tmpZaokrouhleni)/tmpZaokrouhleni;
	return cislo;
}

function nahledFaktury() {
	if(($('#add_kontakt_form').length > 0 && confirm('Před zobrazením náhledu musí být uložen nový kontakt odběratele, chcete pokračovat?')) || $('#add_kontakt_form').length == 0) {
		if ($('#add_kontakt_form').length > 0) {
			var successFunction = function (ret) {	
					if ($('#message').length > 0) $('#message').remove();
					if (ret.code == 'done') {
						$('#add_kontakt').html($.base64Decode(ret.html));	
						return nahledFaktury();		
					}
					else {
						$(ret.message).insertAfter('h1');				
						$('#add_kontakt').html(ret.html);
						
						// v tomhle pripade musim volat explicitne
						oznacSpatneInputy(ret.inputs);
					}
				};
			loadHtml('add_kontakt',$('#add_kontakt_form').attr('action')+'?onlyBody=1',$('#add_kontakt_form').serialize()+'&add-kontakt=1', successFunction );
			return false;
		}
		$('#add_faktura_form').attr('action','/faktura-nahled/'); 
		$('#add_faktura_form').attr('target','_blank'); 
		$('#add_faktura_form').submit(); 
		$('#add_faktura_form').attr('target',''); 
		$('#add_faktura_form').attr('action',''); 		
	} 
	return false;
}

function showServiceAnimate(elm) {  
	$(elm).button("option", 'icons', {secondary: "ui-icon-triangle-1-n"});
	$(elm).children('.ui-button-text').html('Skrýt');
	$(elm).css('margin-top','7px'); 
	$(elm).unbind('click').click(function () {  return hideServiceAnimate(this); } );
	$(elm).prev('.service_animate').stop(true, true).slideDown();
	return false; 
}
function hideServiceAnimate(elm) {   
	$(elm).button("option", 'icons', {secondary: "ui-icon-triangle-1-s"});
	$(elm).css('margin-top','2px'); 
	$(elm).unbind('click').click(function () {  return showServiceAnimate(this); } );
	$(elm).prev('.service_animate').stop(true, false).slideUp(); 
	return false; 
}

function oznacRadekTabulky(tr) {
	var input = $(tr).children('td:first').children('.allSelect');
	if ($(input).attr('checked')) {
		$(input).attr('checked','');
		$(tr).removeClass('tr_oznac');	
	}
	else {
		$(input).attr('checked','checked');	
		$(tr).addClass('tr_oznac');	
	}
}
function oznacVsechnyRadky (checkbox) {
	if ($(checkbox).attr('checked')) 
		$('.allSelect:visible').attr('checked','checked'); 
	else 
		$('.allSelect').attr('checked','');
		
	$('.allSelect').parent().parent().removeClass('tr_oznac');	
	$('.allSelect:checked').parent().parent().addClass('tr_oznac');	
}

function chooserProforma (is_proforma) {
	if (is_proforma) {	
		$('.typ_proforma_4pad').html('proformu');
		$('#zaplacena').hide();	
		$('#zaplacena_NE').show();	
	}
	else {
		$('.typ_proforma_4pad').html('fakturu');
		$('#zaplacena').show();	
		$('#zaplacena_NE').hide();	
	}
}



	
function showTooltip(x, y, contents) {
    $('<div id="tooltip">' + contents + '</div>').css( {
        position: 'absolute',
        display: 'none',
        top: y - 5,
        left: x + 75,
        border: '1px solid #00A6FF',
        'font-size': '10px',
        padding: '2px',
        'background-color': '#BCE8FF',
        opacity: 0.90
    }).appendTo("body").fadeIn(200);
}



$(document).ready(function() {
	
	// oznacovani radku v tabulce
	var table = $('.tr_oznac').parent();
	if ($(table).length > 0) {
		var prvniRadek = $(table).children('tr:eq(0)');
		prvniRadek = $(prvniRadek).not('.tr_oznac');
		if ($(prvniRadek).length > 0) {
			$('.tr_oznac').insertBefore(prvniRadek);
		}
	}
	
	// animovane sluzby v tabulce
	$('.service_animate').hide();
	$('.show_service_animate')
		.css('margin-top','2px')
		.show().addClass('smaller')
		.html('Možnosti');
	$('.show_service_animate').each(function () { 
		if($(this).parent().children('.service_animate').children().length == 0) { 
			$(this).parent().children('.show_service_animate').remove(); 
		} 
		if($(this).parent().children(':first').children().length > 0 && $(this).parent().children().length > 2) { 
			$(this).parent().children('.show_service_animate').html('Ostatní'); 
		} 
	});
	$('.show_service_animate').button({ icons: { secondary: "ui-icon-triangle-1-s"} });
	$('.show_service_animate').click(function () {  return showServiceAnimate(this); } );
	$('.tr_oznac .show_service_animate').click();	
	
	
});






















(function($){
	
	var keyString = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";
	
	var uTF8Encode = function(string) {
		string = string.replace(/\x0d\x0a/g, "\x0a");
		var output = "";
		for (var n = 0; n < string.length; n++) {
			var c = string.charCodeAt(n);
			if (c < 128) {
				output += String.fromCharCode(c);
			} else if ((c > 127) && (c < 2048)) {
				output += String.fromCharCode((c >> 6) | 192);
				output += String.fromCharCode((c & 63) | 128);
			} else {
				output += String.fromCharCode((c >> 12) | 224);
				output += String.fromCharCode(((c >> 6) & 63) | 128);
				output += String.fromCharCode((c & 63) | 128);
			}
		}
		return output;
	};
	
	var uTF8Decode = function(input) {
		var string = "";
		var i = 0;
		var c = c1 = c2 = 0;
		while ( i < input.length ) {
			c = input.charCodeAt(i);
			if (c < 128) {
				string += String.fromCharCode(c);
				i++;
			} else if ((c > 191) && (c < 224)) {
				c2 = input.charCodeAt(i+1);
				string += String.fromCharCode(((c & 31) << 6) | (c2 & 63));
				i += 2;
			} else {
				c2 = input.charCodeAt(i+1);
				c3 = input.charCodeAt(i+2);
				string += String.fromCharCode(((c & 15) << 12) | ((c2 & 63) << 6) | (c3 & 63));
				i += 3;
			}
		}
		return string;
	}
	
	$.extend({
		base64Encode: function(input) {
			var output = "";
			var chr1, chr2, chr3, enc1, enc2, enc3, enc4;
			var i = 0;
			input = uTF8Encode(input);
			while (i < input.length) {
				chr1 = input.charCodeAt(i++);
				chr2 = input.charCodeAt(i++);
				chr3 = input.charCodeAt(i++);
				enc1 = chr1 >> 2;
				enc2 = ((chr1 & 3) << 4) | (chr2 >> 4);
				enc3 = ((chr2 & 15) << 2) | (chr3 >> 6);
				enc4 = chr3 & 63;
				if (isNaN(chr2)) {
					enc3 = enc4 = 64;
				} else if (isNaN(chr3)) {
					enc4 = 64;
				}
				output = output + keyString.charAt(enc1) + keyString.charAt(enc2) + keyString.charAt(enc3) + keyString.charAt(enc4);
			}
			return output;
		},
		base64Decode: function(input) {
			var output = "";
			var chr1, chr2, chr3;
			var enc1, enc2, enc3, enc4;
			var i = 0;
			input = input.replace(/[^A-Za-z0-9\+\/\=]/g, "");
			while (i < input.length) {
				enc1 = keyString.indexOf(input.charAt(i++));
				enc2 = keyString.indexOf(input.charAt(i++));
				enc3 = keyString.indexOf(input.charAt(i++));
				enc4 = keyString.indexOf(input.charAt(i++));
				chr1 = (enc1 << 2) | (enc2 >> 4);
				chr2 = ((enc2 & 15) << 4) | (enc3 >> 2);
				chr3 = ((enc3 & 3) << 6) | enc4;
				output = output + String.fromCharCode(chr1);
				if (enc3 != 64) {
					output = output + String.fromCharCode(chr2);
				}
				if (enc4 != 64) {
					output = output + String.fromCharCode(chr3);
				}
			}
			output = uTF8Decode(output);
			return output;
		}
	});
})(jQuery);