<?php

/**
 * Nacitani konfigurace, trid, knihoven, atd.
 */
require_once '../include/app_top.php';

$smarty = new WebSmarty();
// pokud neni prihlasen, presmeruje na prihlaseni
require_once '_logged.php';

$smarty->assign('vychoziMena',DB_MenaMapper::getVychozi());

$notPaid = DB_FakturaMapper::getAllNotPaid($login);
$smarty->assign('notPaid',$notPaid);

$neuhrazeno = 0;
foreach ($notPaid as $nf) {
	$neuhrazeno += $nf->getCelkemVychoziMena();
}

$smarty->assign('notPaidCount',count($notPaid));
$smarty->assign('neuhrazeno',round($neuhrazeno,2));

if ($login->opravneni == 1) {
	
	$notPaidVydaje = DB_VydajMapper::getAllNotPaid();
	$smarty->assign('vydajeNotPaid',$notPaidVydaje);
	$smarty->assign('vydajeNotPaidCount',count($notPaidVydaje));
	
	
	$neuhrazenoVydaje = 0;
	foreach ($notPaidVydaje as $nv) {
		$neuhrazenoVydaje += $nv->getCelkemVychoziMena();
	}
	$smarty->assign('vydajeNeuhrazeno',round($neuhrazenoVydaje,2));	

	$smarty->assign('naCeste',round($neuhrazeno-$neuhrazenoVydaje,2));


	
}

$smarty->assign('events',DB_EventMapper::getAllEvents($login, " ORDER BY event_id DESC LIMIT 15"));

require_once 'scripts/site_map.php';
$smarty->assign('siteMapItems',$siteMapItems);
$smarty->display('index.tpl');
?>