<?php

require 'smarty/Smarty.class.php';
require_once ('functions/selfURL.php');

class WebSmarty extends Smarty {
  public function __construct($login=null){
    $this->Smarty();
    $root = substr($_SERVER['DOCUMENT_ROOT'], 0, strlen($_SERVER['DOCUMENT_ROOT'])-3);
    $this->template_dir = $root.'home/templates/';
    $this->config_dir = $root.'home/config/';
    $this->compile_dir = $root.'home/templates_c/';
    $this->cache_dir = $root.'home/cache/';
    
    $this->assign('selfURL',selfURL());
    $this->assign('server','tripleweb.cz');
    $this->assign('REQUEST',$_REQUEST);
    global $login;
    if (!($login instanceof Login)) {
		$login = new Login();
    }
    $this->assign('login',$login);
    $this->assign('system',GlobalSettings::$system);
    
	$this->register_block('nocache_block', 'smarty_nocache_block', false);
    
	$this->register_outputfilter('system_hostname_filter');
  }
  
}

function system_hostname_filter($tpl_output, &$smarty) {
    $tpl_output = str_replace('www.tripleweb.cz', $_SERVER['HTTP_HOST'], $tpl_output);       
    return $tpl_output;
}

function smarty_nocache_block($param, $content, &$smarty) {
    return $content;
}

?>